Subject: Re: bug#22118: 23.2; Hitting ^W in a search selects the wrong word.

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 11 Oct 2020 05:05:53 +0200

Stefan Kangas <[email-masked]> writes:

> I therefore propose to push the proposed changes to master.  The
> complexity is localized to only one function, which is already in itself
> not too complicated.  I've attached a patch with proper ChangeLog for
> review.

Yes, I tried the patch, and the fixes this somewhat obscure problem, so
I went ahead and applied it to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no